This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 694765

Summary: Can't connect to WPA2 Enterprise networks
Product: [Fedora] Fedora Reporter: info
Component: NetworkManagerAssignee: Dan Williams <dcbw>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 15CC: chkr, cra, dcbw, jan.public, jlaska, mclasen, michel, pbrobinson, tflink, tomspur
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: AcceptedNTH
Fixed In Version: NetworkManager-0.8.998-3.git20110419.fc15 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 699014 (view as bug list) Environment:
Last Closed: 2011-04-22 11:55:35 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 657621    

Description info 2011-04-08 06:48:31 EDT
Description of problem:
When trying to connect to a wireless network secured with WPA2 enterprise, nothing happens. There's no message in dmesg, only the following error in .xsession-errors:

Window Manager warning: Log level 16: Device activation failed: (32) Failed to determine AP security information.

Version-Release number of selected component (if applicable):
Latest in Fedora 15 (without rawhide)

How reproducible:

Steps to Reproduce:
1. Boot up your computer
2. Find a WPA2 enterprise wireless network
3. Try to connect
4. View .xsession-errors
  
Actual results:
Nothing happens, and you're not connected to the network

Expected results:
Dialog to enter WPA2 credentials, and then a successful connection.
Comment 1 Charles R. Anderson 2011-04-08 11:18:47 EDT
Right, I noticed on the F15 Live Beta TC1 that I cannot easily connect
to WPA2-Enterprise networks. Clicking on the network in the network
icon doesn't do anything at all--no attempt to connect, no connection
editor dialog pops up, nothing. Also, clicking Network Settings to open the control panel applet doesn't have any way to edit the WPA2-Enterprise connection either. The Options... button stays greyed out.

I had to go to overview mode to launch nm-connection-editor manually
just to be able to connect to the wireless network.

I think if a network requires more credentials to connect, the Gnome
Shell applet should pop up the connection editor, and/or the
Options... button on the network control panel should be active and
also launch nm-connection-editor.

I'm proposing this for F15Target.
Comment 2 James Laska 2011-04-08 11:30:05 EDT
(In reply to comment #1)
> I'm proposing this for F15Target.

The correct place is F15-accepted (nice-to-have) - https://fedoraproject.org/wiki/QA:SOP_nth_bug_process
Comment 3 Matthias Clasen 2011-04-15 16:06:58 EDT
I am able to connect to a WPA2-Enterprise network here now, with
NetworkManager-0.8.998-2.git20110406.fc15
control-center-3.0.0.1-3.fc15
gnome-shell-3.0.0.2-1.fc15
I had to set up the connection manually initially, ie by running nm-connection-editor and creating a suitable wifi connection. Ever since, using the connection from the shell network menu or from the control-center network panel works fine.
Comment 4 hannes 2011-04-16 03:27:30 EDT
*** Bug 696106 has been marked as a duplicate of this bug. ***
Comment 5 Fedora Update System 2011-04-19 02:44:00 EDT
NetworkManager-0.8.998-3.git20110419.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/NetworkManager-0.8.998-3.git20110419.fc15
Comment 6 Fedora Update System 2011-04-19 22:43:53 EDT
Package NetworkManager-0.8.998-3.git20110419.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing NetworkManager-0.8.998-3.git20110419.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/NetworkManager-0.8.998-3.git20110419.fc15
then log in and leave karma (feedback).
Comment 7 Charles R. Anderson 2011-04-20 17:41:24 EDT
(In reply to comment #6)
> Package NetworkManager-0.8.998-3.git20110419.fc15:
> * should fix your issue,

0.8.998-3.git20110419.fc15 doesn't fix this for me.  I'm still not prompted for WPA2 Enterprise certificates, and .xsession-errors still shows:

Window Manager warning: Log level 16: Device activation failed: (32) Failed to
determine AP security information.

when selecting the WPA2 Enterprise protected network from the network applet.

Additionally, going to Network Settings, selecting Wireless, and choosing the same WPA2 Enterprise network from the Network Name dropdown does nothing either--the dropdown goes back to blank/no network selected.  No errors appear in .xsession-errors in this case.
Comment 8 Charles R. Anderson 2011-04-20 17:44:39 EDT
On another system, I also noticed this message appear in .xsession-errors after selecting the WPA2 Enterprise network:

Gtk-Message: Failed to load module "pk-gtk-module"

Not sure if it is related...it doesn't display that message every time I select the network (like it does for the other one above), so it may just be coincidence that something else on the system is causing that one.
Comment 9 Tim Flink 2011-04-21 15:00:25 EDT
Discussed at the 2011-04-21 blocker bug review meeting. Does not directly hit any release criteria but deemed severe enough to accept as NTH.
Comment 10 Dan Williams 2011-04-22 11:27:44 EDT
This bug is fixed for nm-applet and NetworkManager.  The remaining issue is lack of implementation support for WPA Enterprise networks in gnome-shell's network indicator, which is not an issue for NetworkManager.  Thus, this bug should be closed and a new one for the missing feature in the gnome-shell filed.  The applet now has all the support that gnome-shell needs to connect to WPA Enterprise networks.
Comment 11 Charles R. Anderson 2011-04-22 11:55:35 EDT
Cloned as #699014 for gnome-shell.
Comment 12 Fedora Update System 2011-04-22 23:57:58 EDT
NetworkManager-0.8.998-3.git20110419.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Christian Krause 2011-05-11 05:17:02 EDT
Unfortunately connecting to WPA Enterprise networks works only once. All following attempts to connect to the same network fail. As a workaround it is possible to delete /etc/sysconfig/network-scripts/ifcfg-$networkname and try again.

I have created a follow-up bug report: https://bugzilla.redhat.com/show_bug.cgi?id=703785 .